##### Here is the example I tried to show in class on Wednesday!

### First we generate some iid white noise
set.seed(45678)
Z <- rnorm(242)
## Now the error series for the two time series I will create
Z.x <- Z[1:240]
Z.y <- Z[3:242]

###############
## These two series should be cross-correlated at lag 2
## since I have shifted the series by 2
ccf(Z.x, Z.y)

#################
## Now generate the series.
X <- as.ts(sin(2*pi*1:240/12) + cos(2*pi*1:240/12) + Z.x)
Y <- arima.sim(model=list(order=c(0,1,0)), n=240, innov=Z.y)
####
## the mistake on Wednesday is when I set the innov parameter. I set teh wrong
## thing on Wednesday, so it was generating random innovations/error terms
## which is why the residuals were not cross-correlated

#### X should look sinal/cosinal with some error
plot(X)
#### Y should look like a random walk
plot(Y)

acf(X)
acf(Y)
ccf(X,Y)
###############
## No correlation between the two series!!!
##
## the cross-correlation is getting lost in the marginal non-stationarity

### First the sinal/cosinal stuff
SIN <- sin(2*pi*1:240/12)
COS <- cos(2*pi*1:240/12)
x.lm <- lm(X ~ SIN+COS)
summary(x.lm)
x.res <- x.lm$residuals
acf(x.res)
pacf(x.res)
### Residuals are pretty close to white noise!

######################
## To model Y, we simply take a difference or fit an integrated model
y.arima <- Arima(Y, order=c(0,1,0) )
y.res <- y.arima$residuals
acf(y.res)
pacf(y.res)
##### Looks like white noise

###########################
## the two residual series
ccf(x.res, y.res)

### We see a huge peak at lag 2, which corresponds to the original error series.
