rm(responses)


#setwd("C:\\Users\\Cody\\Documents\\GSS Research\\DashboardStuff")
library(dplyr)
library(R.utils)

lapply(Filter(function(x) countLines(x)==2, list.files(pattern='.csv')), unlink)
fulldat2 = readRDS("Ratingsdatabase.rds")


getmode <- function(v) {
  uniqv <- unique(v)
  uniqv[which.max(tabulate(match(v, uniqv)))]
}


fulldatGroup = fulldat2 %>% 
  select(Make.x,Model.x,Year.x,MAX_VSEV, NUM_INJV,IIHS,NHTSA) %>%
  group_by(Make.x,Model.x,Year.x) %>%
  summarise(majorSev = mean(MAX_VSEV,na.rm=TRUE),
            countInj = mean(NUM_INJV,na.rm=TRUE),
            numAcc = length(MAX_VSEV),
            IIHS=  getmode(IIHS),
            NHTSA=  getmode(NHTSA))

fulldatGroup$identifier = paste(fulldatGroup$Make.x,fulldatGroup$Model.x,fulldatGroup$Year.x)


injnum1 = fulldatGroup %>%
  group_by(IIHS) %>%
  summarise(countInj1 = weighted.mean(countInj,numAcc,na.rm=TRUE),
            majorSev1 = mean(majorSev, na.rm=TRUE),
            numVar = length(countInj))

injnum2 = fulldatGroup %>%
  group_by(NHTSA) %>%
  summarise(countInj1 = mean(countInj,na.rm=TRUE),
            majorSev1 = mean(majorSev, na.rm=TRUE),
            numVar = length(countInj))

fulldatGroup$Make.x = as.character(fulldatGroup$Make.x)
fulldatGroup$Model.x = as.character(fulldatGroup$Model.x)

rm(responses)
